Get Tweet Thread by ID
Retrieve all tweets in a thread by tweet ID, sorted by latest.
API 참조로 돌아가기
/Tweets Endpoints
POST
/twitter/tweets/thread_by_idAPI 인증
AuthorizationBearer token · header필수TwexAPI 전역 인증 토큰 (Bearer Token). 헤더에 포함되어야 합니다: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
요청 본문
필수application/jsontweet_idstring필수트윗 고유 ID
max_itemsintegerMax number of thread tweets to return
min 1 · max 200 · default: 40
fieldsstring[] | anyFields to include in each tweet. If omitted, all fields are returned.
속성 표시속성 숨기기
Any of:
string[]
Array of
stringstringany
any응답
200A list of tweets in the thread, sorted by latest.
any422요청 매개변수 유효성 검사 오류
detailValidationError[]속성 표시속성 숨기기
Array of
ValidationErrorlocstring | integer[]필수속성 표시속성 숨기기
Array of
string | integerAny of:
string
stringinteger
integermsgstring필수응답 메시지 (예: 'success')
typestring필수inputanyctxobject⚡대화형 콘솔POST
⚡대화형 콘솔 / API 테스트POSTLive Console
🌐대상 서버:
https://api.twexapi.io● 프로덕션 준비 완료
🔍
공개 데이터 조회 (TwexAPI 키만 필요, Twitter 쿠키 불필요)
이 엔드포인트는 공개 Twitter 데이터를 조회합니다. Twitter 계정이나 쿠키가 필요하지 않습니다! 아래 "API 인증"에 TwexAPI 플랫폼 키 (Bearer Token)를 입력하여 바로 테스트하세요.
🔑API 인증
📝요청 본문application/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
요청 예시
curl -X POST "https://api.twexapi.io/twitter/tweets/thread_by_id" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"tweet_id": "string",
"max_items": 40,
"fields": [
"string"
]
}'const response = await fetch("https://api.twexapi.io/twitter/tweets/thread_by_id", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"tweet_id": "string",
"max_items": 40,
"fields": [
"string"
]
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/tweets/thread_by_id",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"tweet_id": "string",
"max_items": 40,
"fields": [
"string"
]
},
)응답 예시
A list of tweets in the thread, sorted by latest.
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}